﻿Public Class HelpForm
    Private Sub HelpForm_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'WebBrowser1.DocumentText = HelpText
        WebBrowser1.DocumentText = "" + _
            "<html><body>" + vbCrLf + _
            "<H2>SyslogReceive2説明</H2>" + vbCrLf + _
            "YAMAHA NVR500 の Syslog を受信して集計するために作成したソフトです。<br>" + vbCrLf + _
            "LAN側IPごと、WAN側IPごとに集計して数の多い順に表示します。<br>" + vbCrLf + _
            "IPからホスト名、LAN内では mac address を検索して同時に表示します。<br>" + vbCrLf + _
            "Web表示用のHTMLファイルも同時に作成します。<br>" + vbCrLf + _
            "受信したデータは１日ごとにMDBファイル(access用データベースファイル)に保存します。<br>" + vbCrLf + _
            "全ログをテキストとして残すこともできます。<br>" + vbCrLf + _
            "" + vbCrLf + _
            "<H3>メイン画面</H3>" + vbCrLf + _
            "<b>Startボタン：</b>受信を開始します。<br>" + vbCrLf + _
            "<b>Stopボタン：</b>受信を停止します。<br>" + vbCrLf + _
            "<b>グラフ：</b>毎秒の受信ログ数をグラフ表示します。最大値は設定画面で設定します。初期値は500です。90秒分表示されます。<br>" + vbCrLf + _
            "<b>左下画面：</b>受信したログが表示されます。ログの受信を確認するだけの表示です。<br>" + vbCrLf + _
            "<b>右上画面：</b>LAN内IPで集計した結果が表示されます。<br>" + vbCrLf + _
            "<b>右中画面：</b>WAN側のIPで集計した結果が表示されます。<br>" + vbCrLf + _
            "<b>右下画面：</b>上中画面の集計行をクリックすると、その詳細が表示されます。<br>" + vbCrLf + _
            "右上画面でカウントの多いLAN側IPをクリックすると下画面にそのIPがアクセスしているWAN側IPが多い順に表示されます。<br>" + vbCrLf + _
            "同様に右中画面でカウントの多いWAN側IPをクリックすると下画面にそのIPにアクセスしているLAN側IPが多い順に表示されます。<br>" + vbCrLf + _
            "これである程度どの端末がどこにアクセスしているかがほぼリアルタイムで把握できます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>メニュー→設定：</b>設定画面が表示されます。<br>" + vbCrLf + _
            "<b>メニュー→説明：</b>説明画面（この画面）が表示されます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H3>設定画面</H3>" + vbCrLf + _
            "動作の設定を行います。設定を変更したら再起動してください。再起動しないと設定が反映されないものがあります。<br>" + vbCrLf + _
            "<H4>ログ集計グループ</H4>" + vbCrLf + _
            "<b>Logディレクトリ：</b>受信したログや集計データを書き出すディレクトリ（フォルダー）を指定します。右の[...]ボタンを押すと選択ダイアログが開きます。<br>" + vbCrLf + _
            "<b>MDBディレクトリ：</b>受信したデータをMDBファイルとして書き出すディレクトリ（フォルダー）を指定します。右の[...]ボタンを押すと選択ダイアログが開きます。<br>" + vbCrLf + _
            "<b>集計間隔短時間：</b>集計を行う時間（分）を指定します。1,2,3,4,5,6,10,15,20 から選択して下さい。初期値は5です。<br>" + vbCrLf + _
            "<b>集計間隔長時間：</b>集計を行う時間（分）を指定します。20,30,60 から選択して下さい。初期値は30です。<br>" + vbCrLf + _
            "<b>ルーター種類：</b>ルーターの種類を選びます。NVR500とDD-WRTが選択できます。初期値はNVR500です。<br>" + vbCrLf + _
            "<b>UDPポート：</b>ログを受信するポートを指定します。初期値は514です。<br>" + vbCrLf + _
            "<b>ルーターIP：</b>ルーターのIPを指定します。ここに指定したIP以外からのログは受信しないので正しく設定してください。<br>" + vbCrLf + _
            "<b>全ログを保存：</b>OFFの時は、受信したログは整理してMDBファイルに書き出し、処理しなかったものを受信ログに書き出します。ONの場合処理したものもログに書き出します。初期値はOFFです。<br>" + vbCrLf + _
            "<b>パケットキャプチャーログもMDBに保存：</b>ONの時は、パケットキャプチャーログも処理し、MDBに保存します。データ部分は捨ててしまってログファイルには保存しません。OFFの時は処理せずログファイルにそのまま書き出します。NVR500でのみ機能します。初期値はOFFです。<br>" + vbCrLf + _
            "<b>ログを表示する：</b>ONの時は、メイン画面に受信ログを表示します。初期値はONです。<br>" + vbCrLf + _
            "<b>ロググラフMAX：</b>受信ログ数/秒のグラフの最大値を設定します。初期値は500です。<br>" + vbCrLf + _
            "<b>ログ削除日数：</b>記録したログ、MDBファイルのうち、指定した日数より古いものを削除します。削除は夜中の0時に行われます。「0」を指定した場合削除を行いません。初期値は0です。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "メイン画面には短時間で設定した時間で集計表示されます。画面表示は１分ごとに更新されます。集計ログは長短二つの種類が保存されます。ログには設定時間毎の集計結果が記録されます。<br>" + vbCrLf + _
            "ログファイル名は、受信したデータのログが LogYYYYMMDDHH.txt、集計ログの長時間分が CountLogYYYYMMDD.txt、集計ログの短時間分が CountLogYYYYMMDDHH.txt、となります<br>" + vbCrLf + _
            "YYYYMMDDHH部分は年月日時になります。データと短時間集計ログは1時間ごと、長時間集計ログは1日ごとに作成されます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>ホスト名/MACアドレス検索グループ</H4>" + vbCrLf + _
            "IPからホスト名とMACアドレスを検索する時の動作時間を設定します。検索には時間がかかるのである程度時間を空けて再検索するように初期設定しています。<br>" + vbCrLf + _
            "<b>プライベートアドレス検索間隔(分)：</b>プライベートアドレスの検索間隔を設定します。初期設定は5分です。プライベートアドレスは頻繁に変わる可能性があるので短時間に設定しています。<br>" + vbCrLf + _
            "<b>グローバルアドレス検索間隔(分)：</b>グローバルアドレスの検索間隔を設定します。初期設定は80分です。グローバルアドレスはあまり変わらないのと検索に時間がかかるので長く設定しています。<br>" + vbCrLf + _
            "<b>プライベートアドレス削除間隔(分)：</b>プライベートアドレスでアクセスのないものを削除する時間を設定します。初期設定は70分です。<br>" + vbCrLf + _
            "<b>グローバルアドレス削除間隔(分)：</b>グローバルアドレスでアクセスの無いものを削除する時間を設定します。初期設定は70分です。上の検索時間より短いのでグローバルアドレスは1回検索した後アクセスが無ければそのまま削除されます。<br>" + vbCrLf + _
            "<b>DHCP-MacAddress削除間隔(時間)</b>：DHCPのログからMACアドレスを保存しています。そのデータの削除間隔を時間で指定します。初期設定は24時間です。<br>" + vbCrLf + _
            "<b>自分のIPを除外</b>：IPからホスト名を検索する場合、自分のIPが含まれるログの場合は検索しません。ホスト検索時にログが発生するので無限ループにならないために初期値はTrueになっています。ただTrutにすると自IPから実際アクセスされたIPも検索されないので自身でアクセスしたホスト名が表示されません。<br>" + vbCrLf + _
            "<b>自分のIP</b>：IPからホスト名を検索する場合自分のIPが含まれるログを検索しない設定の場合に、指定したIPを自分のIPとして使用します。空白の場合は起動時に自身のIPを取得して使用します。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "ホスト名、MACアドレス検索は時間がかかるので、別スレッドで動作しています。なので集計時にホスト名やMACアドレスが不明な場合があります。<br>" + vbCrLf + _
            "またイントラネット側のIPは変わる可能性があり、インターネット側ホスト名は得られないものが多く、正しいという保証もないので、参考程度と思ってください。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>HTMLファイルグループ</H4>" + vbCrLf + _
            "集計したデータをHTMLファイルとして保存します。集計データを他の端末から確認できるようにするためのものです。<br>" + vbCrLf + _
            "SyslogReceive2.htmlとSyslogReceive2S.htmlの２つのファイルが作成されます。<br>" + vbCrLf + _
            "SyslogReceive2.htmlは簡易表示で、イントラネット側のIPで集計して表形式にまとめた簡単なものです。一般向けの表示です。<br>" + vbCrLf + _
            "SyslogReceive2S.htmlは詳細表示で、イントラネット側、インターネット側のIPで集計したメイン画面と同じデータが表示されます。管理者向けの表示です。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>HTMLディレクトリ：</b>作成したHTMLファイルを書き出すディレクトリ（フォルダー）を指定します。右の[...]ボタンを押すと選択ダイアログが開きます。<br>" + vbCrLf + _
            "<b>HTML除外IP：</b>簡易表示HTML作成時に表示から除外するIPを指定します。??.??.??.??,??.??.??.??のように「,」で区切って複数指定できます。普通に集計するとルーターやサーバーのIPが上位に来てしまうのでそれを除外するためのものです。詳細表示HTMLには影響しません。<br>" + vbCrLf + _
            "<b>HTMLファイルを作成する：</b>HTMLファイルを作成するかどうかを指定します。初期値は[HTMLファイルを作成しない]です。<br>" + vbCrLf + _
            "<b>IP表示：</b>簡易表示HTML作成時に、表にIPを表示するかどうかを設定します。初期値はONです。OFFの場合「******」が表示されます。<br>" + vbCrLf + _
            "<b>ホスト名表示：</b>簡易表示HTML作成時に、表にホスト名を表示するかどうかを設定します。初期値はONです。OFFの場合「******」が表示されます。<br>" + vbCrLf + _
            "<b>MACアドレス表示：</b>簡易表示HTML作成時に、表にMACアドレスを表示するかどうかを設定します。初期値はONです。OFFの場合「******」が表示されます。<br>" + vbCrLf + _
            "<b>HTML上部：</b>簡易表示HTMLの上部を設定します。自動生成するテーブルの上に何か書きたい場合に文を書き足してください。<br>" + vbCrLf + _
            "<b>HTML下部：</b>簡易表示HTMLの下部を設定します。自動生成するテーブルの下に何か書きたい場合に文を書き足してください。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>グループ外</H4>" + vbCrLf + _
            "<b>文字サイズ：</b>メイン画面右側の表示文字のサイズを指定します。初期値は9です。<br>" + vbCrLf + _
            "<b>エラーログ保存：</b>発生したエラーをログに保存するフラグです。初期値はOFFです。<br>" + vbCrLf + _
            "<b>DEBUG：</b>デバグ用のフラグです。初期値はOFFです。ONにするとメイン画面左下にホスト名検索用のdatatableが表示されます。ほかにもデバグ用の情報が表示されます。<br>" + vbCrLf + _
            "<b>[キャンセル]ボタン：</b>設定を破棄して画面を閉じます。<br>" + vbCrLf + _
            "<b>[設定保存]ボタン：</b>設定を保存して画面を閉じます。<br>" + vbCrLf + _
            "<b>バー右上[×]ボタン：</b>設定を破棄して画面を閉じます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H3>その他</H3>" + vbCrLf + _
            "<H4>MDBファイル</H4>" + vbCrLf + _
            "MDBファイルの保存場所は設定画面で指定してください。<br>" + vbCrLf + _
            "MDBファイルはMicrosoft Access用のデータベースファイルなのでAccessdで開けるはずです。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>MDBファイルの構造</H4>" + vbCrLf + _
            "SyslogReceive2_YYYYMMDD.mdb：YYYYMMDDには年月日が入ります。1日に1個作成されます。受信ログを保存するファイルです。<br>" + vbCrLf + _
            "テーブル名 LogDataTable<br>" + vbCrLf + _
            "カラム名, 型<br>" + vbCrLf + _
            "label, Char<br>" + vbCrLf + _
            "lan, Char<br>" + vbCrLf + _
            "tcp_udp, Char<br>" + vbCrLf + _
            "in_out, Char<br>" + vbCrLf + _
            "date_time, Integer<br>" + vbCrLf + _
            "in_ip, Integer<br>" + vbCrLf + _
            "in_port, SmallInt<br>" + vbCrLf + _
            "out_ip, Integer<br>" + vbCrLf + _
            "out_port, SmallInt<br>" + vbCrLf + _
            "label は処理したメッセージの種類を記録します。NVR500の場合 'I':[INSPECT], 'R':Rejected, 'P':Passed, 'C':キャプチャーログです。DD-WRTの場合 'A':ACCEPT, 'D':DROP です。<br>" + vbCrLf + _
            "lan はNVR500の場合 メッセージに書かれているLAN1/LAN2の数字を記録します。DD-WRT では使いません。<br>" + vbCrLf + _
            "tcp_udp は TCP の場合'T'に、UDP の場合'U'に、ICMP の場合'I'に、その他は空欄になります<br>" + vbCrLf + _
            "in_out は NVR500の場合 メッセージ内に IN があれば'I'に、OUT があれば'O'になります。DD-WRTではACCEPTメッセージでは全て'O'に、DROPメッセージで br0 があれば'O'に、eth1 があれば'I'にしています。<br>" + vbCrLf + _
            "date_time は受信した時刻を記録しますが、メッセージ内に時刻が含まれる場合はその時刻を記録します(NVR500の[INSPECT]のみです)。変数型はDATEではなくIntegerです。DDHHMMSSの形で数値として記録します。<br>" + vbCrLf + _
            "in_ip はLAN側のIPを記録します。発信側受信側の順に並んでいたりするのでメッセージによって読み取り順を入れ替えたりしています。変数型はintegerです。???.???.??.??をそれぞれバイトに直して上下入れ替えてからIntegerに変換しています。<br>" + vbCrLf + _
            "in_port はLAN側のポート番号を記録します。変数型はSmallInt(16bit)です。元の値から32768を引いて保存しています。<br>" + vbCrLf + _
            "out_ip はWAN側のIPを記録します。変数型はintegerです。in_ipと同様の処理をしています<br>" + vbCrLf + _
            "out_port はWAN側のポート番号を記録します。変数型はSmallInt(16bit)です。in_portと同様の処理をしています<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "SyslogReceive2Hostname_YYYYMMDD.mdb：YYYYMMDDには年月日が入ります。1日に1個作成されます。IPからホスト名とMACアドレスを逆引きするために使用するファイルです。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "SyslogReceive2Dns_YYYYMMDD.mdb：YYYYMMDDには年月日が入ります。1日に1個作成されます。passのログの中の DNS Query を保存しています。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>NVR500でSyslogを出力する設定</H4>" + vbCrLf + _
            "GUI画面から「詳細設定」を押す<br>" + vbCrLf + _
            "ログ(Syslog)レポート作成で「実行」を押す<br>" + vbCrLf + _
            "デバッグモード、Infoモード、Noticeモードをチェックし、Syslogホストアドレスに受信する端末のIPを入れる。「設定の確定」を押す<br>" + vbCrLf + _
            "注意点として、この状態ではログの数と実際の転送量は比例しません。<br>" + vbCrLf + _
            "例えば激しくブラウジングすると大量のログが発生しますが、動画視聴ではそれほど発生しません。<br>" + vbCrLf + _
            "ログの数とネットワーク負荷は比例しないことをわかった上でデータを見る必要があります。<br>" + vbCrLf + _
            "今回このソフトを作った目的はアクセスの多いIPを特定するのが目的なので設定の追加が必要です。<br>" + vbCrLf + _
            "<b>このままではPassログが来ないので設定追加。</b><br>" + vbCrLf + _
            "「詳細設定」画面のファイアウオール設定で「設定」を押す。<br>" + vbCrLf + _
            "WANポート、IPv4フィルタの「設定」を押す。<br>" + vbCrLf + _
            "IPv4 静的IPフィルタの一覧の「99」の数字部分を押す。<br>" + vbCrLf + _
            "IPv4 静的IPフィルタの修正のフィルタ･タイプをpass(ログなし)からpass(ログあり)に変える。「設定の確定」を押す。<br>" + vbCrLf + _
            "「戻る」で１つ前の画面に戻って99が pass する になっているのを確認したら「設定の確定」を押す。<br>" + vbCrLf + _
            "これでOUTのpassのログも来るようになる。<br>" + vbCrLf + _
            "このpassのログの中に DNS Query ログが含まれるので、これを使ってホスト名正引きができるようになる。<br>" + vbCrLf + _
            "<b>更にログを増やす設定</b><br>" + vbCrLf + _
            "上記設定では実際の転送量とログが比例せず、通信の多いIPを特定できないので追加設定が必要。<br>" + vbCrLf + _
            "設定例：LAN側ファイアウォールにPassログを出力するよう設定を加える。<br>" + vbCrLf + _
            "設定としては下記2行を加えるイメージです<br>" + vbCrLf + _
            "ip lan1 secure filter in 100099<br>" + vbCrLf + _
            "ip filter 100099 pass-log * * * * *<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "「詳細設定」画面のファイアウオール設定で「設定」を押す。<br>" + vbCrLf + _
            "<b>LAN</b>ポート、IPv4フィルタの「設定」を押す。<br>" + vbCrLf + _
            "IPv4 静的IPフィルタの一覧　の　「追加」を押す。<br>" + vbCrLf + _
            "IPフィルタの登録画面で、フィルタ番号：99、フィルタ・タイプ：pass(ログあり)、後は全部　*　にして「設定の確定」を押す。<br>" + vbCrLf + _
            "前の画面に戻ると　99番が追加されているので、入か出にチェックを入れて「設定の確定」<br>" + vbCrLf + _
            "この設定をすると通信量の多いIPが特定できるようになる。ただし大量のログが発生するのでルーター、PC、ネットワーク負荷になるので注意。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>パケットキャプチャーログを出す方法</b><br>" + vbCrLf + _
            "NVR500はパケットキャプチャーログを出力できます。<br>" + vbCrLf + _
            "詳細設定画面からコマンドの実行「実行」を押し、コマンドを入力します。<br>" + vbCrLf + _
            "LAN2側のパケットダンプを100個出します。<br>" + vbCrLf + _
            "packetdump lan2 100<br>" + vbCrLf + _
            "LAN2側のパケットダンプを出し続けます。<br>" + vbCrLf + _
            "packetdump lan2 infinity<br>" + vbCrLf + _
            "LAN2側のパケットダンプを出すのを中止します。<br>" + vbCrLf + _
            "packetdump lan2 off<br>" + vbCrLf + _
            "LAN2はWAN側、LAN1がLAN側です。LAN1でも可能ですが、うまく動作しませんでした。<br>" + vbCrLf + _
            "また infinity を指定すると大量のログが発生してネットワーク負荷になってしまうので、使用する場合は500個とかに数を区切って使用したほうがよさそうです。<br>" + vbCrLf + _
            "LAN2でキャプチャした場合In側IPは全てルーターのIPになってしまうので通信元がどこなのか不明になります。LAN1でキャプチャした場合は接続先が不明になります。<br>" + vbCrLf + _
            "パケットキャプチャーログをカウントすれば、ほぼネットワーク負荷と同じ結果が得られそうですが、例数が少なかったり負荷がかかりすぎたりして、あまり良い結果を得られませんでした。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>MDBファイル検索</H4>" + vbCrLf + _
            "in側IPで集計する場合<br>" + vbCrLf + _
            "SELECT COUNT(*) AS kensuu, in_out, tcp_udp, in_ip FROM LogDataTable WHERE date_time >=  #開始時間# AND  date_time < #終了時間# GROUP BY  in_out, tcp_udp, in_ip ORDER BY COUNT(*) desc<br>" + vbCrLf + _
            "のような感じのSQL文で処理していましたが、ファイルが大きくなると処理時間がかかるので、時間で検索した後はオンメモリで処理するようにしています。<br>" + vbCrLf + _
            "<b>画面表示</b><br>" + vbCrLf + _
            "上段はin_ip, tcp_udp, in_out で分類して集計しています。<br>" + vbCrLf + _
            "さらにその詳細では、それぞれについて、label, lan, out_ip, out_portで集計しています。<br>" + vbCrLf + _
            "下段はout_ip, tcp_udp, in_out, out_port で分類して集計しています。<br>" + vbCrLf + _
            "さらにその詳細では、それぞれについて、label, lan, in_ipで集計しています。<br>" + vbCrLf + _
            "LAN側IPについてはIPから逆引きしたホスト名とMACアドレスを、WAN側IPについてはホスト名を表示します。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<H4>出力ファイル</H4>" + vbCrLf + _
            "<b>LOGファイル</b><br>" + vbCrLf + _
            "CountLogYYYYMMDD.txt：長時間集計のファイルです。YYYYMMDDには年月日が入ります。1日に1個作成されます。<br>" + vbCrLf + _
            "CountLogYYYYMMDDHH.txt：短時間集計のファイルです。YYYYMMDDHHには年月日時が入ります。1時間に1個作成されます。<br>" + vbCrLf + _
            "DnsCountLogYYYYMMDDHH.txt：DNS Query ログを集計したファイルです。YYYYMMDDHHには年月日時が入ります。1時間に1個作成されます。各端末が出したクエリが分かります。<br>" + vbCrLf + _
            "保存場所は設定画面で指定してください。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>HTMLファイル</b><br>" + vbCrLf + _
            "SyslogReceive2.html、SyslogReceive2S.htmlの２つのファイルを作成します。保存場所は設定画面で指定してください。<br>" + vbCrLf + _
            "SyslogReceive2.htmlは簡易集計、SyslogReceive2S.htmlは詳細集計です。<br>" + vbCrLf + _
            "簡易HTMLでは、単純にIn側IPのみで集計しています。カウント数・IP・MACアドレス・ホスト名を表形式で表示します。<br>" + vbCrLf + _
            "詳細HTMLでは、in_out, tcp_udp, in_ip で分類して集計しています。<br>" + vbCrLf + _
            "さらにその詳細では、それぞれについて、label, lan, out_ip, out_portで集計しています。<br>" + vbCrLf + _
            "OUT側で集計する場合は、in_ipとout_ipを逆にして処理していますが、In側のポート番号は無視しています。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>MDBファイル</b><br>" + vbCrLf + _
            "SyslogReceive2_YYYYMMDD.mdb<br>" + vbCrLf + _
            "SyslogReceive2Hostname_YYYYMMDD.mdb<br>" + vbCrLf + _
            "SyslogReceive2Dns_YYYYMMDD.mdb<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>エラーファイル</b><br>" + vbCrLf + _
            "SyslogReceive2_ErrYYYYMMDD.txt：プログラム実行時に発生したエラーを保存するファイルです。YYYYMMDDには年月日が入ります。1日に1個作成されます。<br>" + vbCrLf + _
            "デバグ用なので通常は必要ありません。ドキュメントフォルダの中にSyslogReceive2フォルダを自動作成してその中に保存されます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<b>設定ファイル</b><br>" + vbCrLf + _
            "SyslogReceive2.ini：設定が保存されています。<br>" + vbCrLf + _
            "ドキュメントフォルダの中にSyslogReceive2フォルダを自動作成してその中に保存されます。<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "<br>" + vbCrLf + _
            "</body></html>"
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Close()
    End Sub

End Class