﻿Imports System.Data.OleDb
Imports System.Runtime.InteropServices

'Microsoft ADO Ext. 2.8 for DDL and Security の参照追加が必要

Module Module1
    Public SettingIniPathName As String
    Public MdbPath As String
    Public MdbDnsPath As String
    Public MdbHostnamePath As String
    'Public ErrorLogPath As String
    Public LogPath As String
    Public HtmlPath As String

    Public LogDirectory As String 'ログ保存ディレクトリ
    Public MdbDirectory As String 'MDBファイル保存ディレクトリ
    Public AggregateShort As Integer = 5 '集計間隔短時間(分)
    Public AggregateLong As Integer = 30 '集計間隔長時間(分)
    Public SaveAllLog As Boolean = False '全ログを保存するフラグ
    Public PacketCaptureEnable As Boolean = False 'パケットキャプチャーログもMDBに保存するフラグ
    Public RouterType As Integer = 0 'ルーターの種類　0:YAMAHA NVR500  1:DD-WRT
    Public DebugFlg As Boolean = False 'デバグフラグ
    Public ErrorLogSaveFlg As Boolean = False 'エラーログを保存するフラグ
    Public LoadStartFlg As Boolean = False '起動時にスタートするフラグ
    Public UdpPort As String = "514" 'UDPポート 普通は514
    Public RouterIp As String = "" 'ルーターのIP
    Public LogDeleteDay As Integer = 0 'ログを消去する日数P
    Public DispLogFlg As Boolean = True 'ログを表示するフラグ
    Public LogPsMax As Integer = 500 'ログ数/秒グラフの最大値

    '
    Public PrvSearchInterval As Integer = 5 'プライベートアドレス検索間隔(分)
    Public GlbSearchInterval As Integer = 80 'グローバルアドレス検索間隔(分)
    Public PrvDeleteInterval As Integer = 70 'プライベートアドレス削除間隔(分)
    Public GlbDeleteInterval As Integer = 70 'グローバルアドレス削除間隔(分)
    Public MacTableDeleteInterval As Integer = 24 'MacAddressテーブルの古いデータを削除する時間(h)を指定する
    Public DnsHostTableDeleteInterval As Integer = 70 'DnsHostDtテーブルの古いデータを削除する時間(分)を指定する
    Public MyIpString As String '自分のIP
    Public MyIpOmitFlg As Boolean = True '自分のIPを検索時に除外するフラグ
    '
    Public HtmlDirectory As String 'HTML保存ディレクトリ
    Public ExceptionIpString As String 'HTML除外IP
    Public ExceptionIp() As Integer 'HTML除外IP配列
    Public MakeHtmlFlg As Integer = 0 'HTMLファイルを作成するするフラグ
    Public HtmlIpFlg As Boolean = True 'HTMLファイル簡易表示に IP を表示するフラグ
    Public HtmlNameFlg As Boolean = True 'HTMLファイル簡易表示に host name を表示するフラグ
    Public HtmlMacFlg As Boolean = True 'HTMLファイル簡易表示に mac address を表示するフラグ
    Public Html1 As String = _
        "<html lang=""ja"">" + _
        " <head>" + _
        "<title>アクセス状況</title>" + _
        "<meta http-equiv=""Refresh"" content=""60""  http-equiv=""Content-Type"" content=""text/html; charset=Shift_Jis"">" + _
        "</head>" + _
        "<body>"
    Public Html2 As String = _
        "</body>" + _
        "</html>"

    Public FontSize As Single = 9 '文字サイズ
    'Public DataQue As New Queue()
    'Public DnsDataQue As New Queue()
    'Public IpQue As New Queue() 'IP用のQue

    Public HelpText As String '説明文字列(HTML)
    Public ErrorText As String 'エラー文字列、メイン画面表示用

    'エラーを保存する
    Public Sub ErrorSave(ByVal sw As Integer, ByVal str As String)
        If ErrorLogSaveFlg Then
            'ファイルに保存
            If DebugFlg Or sw = 1 Then
                Try
                    Dim ErrorLogPath As String = SettingIniPathName + "\" + Application.ProductName + "_Err" + Now.ToString("yyyyMMdd") + ".txt"
                    'Dim ErrorLogPath As String = SettingIniPathName + "\" + Me.ProductName + "_Err" + Now.ToString("yyyyMMdd") + ".txt"
                    Dim textFile As System.IO.StreamWriter
                    textFile = New System.IO.StreamWriter(ErrorLogPath, True, System.Text.Encoding.Default)
                    textFile.WriteLine(Now.ToString + " " + str)
                    textFile.Close()
                Catch ex As Exception
                End Try
            End If
        End If
        If sw = 1 Then
            ErrorText = Now.ToString + vbCrLf + str
        End If
    End Sub


    '自分のIPを返す
    Public Function GetMyIp(ByVal ip As String) As String
        GetMyIp = ""
        ' ホスト名を取得する
        Dim hostname As String = Net.Dns.GetHostName()

        ' ホスト名からIPアドレスを取得する
        Dim adrList As Net.IPAddress() = Net.Dns.GetHostAddresses(hostname)

        If adrList.Length > 0 Then
            Dim mx As Integer = 0
            Dim ct(adrList.Length) As Integer
            For i = 0 To adrList.Length - 1
                Dim adstr As String = adrList(i).ToString
                Dim l As Integer = adstr.Length
                If ip.Length < l Then
                    l = ip.Length
                End If
                For j = 0 To l - 1
                    If ip(j) <> adstr(j) Then
                        ct(i) = j
                        Exit For
                    End If
                Next
                If ct(i) > mx Then
                    GetMyIp = adstr
                    mx = ct(i)
                End If
            Next
        End If

    End Function

    Public Function IPtoInt(ByVal IP As String) As Integer
        If IP = "" Then Return 0
        Try
            Dim b() As Byte = System.Net.IPAddress.Parse(IP.Trim).GetAddressBytes()
            If b.Length = 4 Then
                Dim bb(3) As Byte
                bb(0) = b(3)
                bb(1) = b(2)
                bb(2) = b(1)
                bb(3) = b(0)
                Return BitConverter.ToInt32(bb, 0)
            Else
                Return 0
            End If
        Catch ex As Exception
            ErrorSave(1, "IPtoInt(" + IP + "): " + ex.ToString)
            Return 0
        End Try

    End Function

    Public Function InttoIP(ByVal IIP As Integer) As String
        Try
            Dim b() As Byte = BitConverter.GetBytes(IIP)
            Dim bb(3) As Byte
            bb(0) = b(3)
            bb(1) = b(2)
            bb(2) = b(1)
            bb(3) = b(0)
            Dim ip As System.Net.IPAddress
            ip = New System.Net.IPAddress(bb)
            Return ip.ToString
        Catch ex As Exception
            ErrorSave(1, "InttoIP(" + IIP.ToString + "): " + ex.ToString)
            Return ""
        End Try
    End Function

    '下のGetMacAddressStringで使用する
    <DllImport("iphlpapi.dll", ExactSpelling:=True)> _
    Private Function SendARP(ByVal DestIP As Integer, ByVal SrcIP As Integer, ByVal pMacAddr As Byte(), ByRef PhyAddrLen As Integer) As Integer
    End Function

    'IP文字列からMacAddress文字列を検索する
    Public Function GetMacAddressString(ByVal IP As String) As String
        Try
            Dim ipAdd = System.Net.IPAddress.Parse(IP.Trim)
            Dim macAdd(5) As Byte

            SendARP(BitConverter.ToInt32(ipAdd.GetAddressBytes(), 0), 0, macAdd, macAdd.Length)
            Return BitConverter.ToString(macAdd)
        Catch ex As Exception
            ErrorSave(1, "GetMacAddressString(" + IP + "): " + ex.ToString)
            Return ""
        End Try
    End Function

    '日時分をintegerに変換し文字列を返す　ddHHmmssにする
    Public Function TimetoInts(ByVal D As Date) As String
        Dim i As Integer = 0
        Try
            i = D.Day * 1000000 + D.Hour * 10000 + D.Minute * 100 + D.Second
        Catch ex As Exception
        End Try
        Return i.ToString
    End Function

    '日時分文字列をintegerに変換文字列を返す　ddHHmmssにする
    Public Function TimestoInts(ByVal DateStr As String) As String
        Dim i As Integer = 0
        Try
            Dim d As Date = CDate(DateStr)
            i = d.Day * 1000000 + d.Hour * 10000 + d.Minute * 100 + d.Second
        Catch ex As Exception
        End Try
        Return i.ToString
    End Function

    '日時分をintegerに変換したものをまたDatetimeにもどす
    Public Function InttoTimes(ByVal ID As Integer) As String
        Dim d As Integer = ID \ 1000000
        Dim h As Integer = (ID Mod 1000000) \ 10000
        Dim m As Integer = (ID Mod 10000) \ 100
        Dim s As Integer = ID Mod 100
        Dim i As Integer = 0
        Dim nw As DateTime = Now
        Dim ny As Integer = nw.Year
        Dim nm As Integer = nw.Month
        Dim nd As Integer = nw.Day
        If nd > d Then '日が変わった
            InttoTimes = ny.ToString + "/" + nm.ToString + "/" + d.ToString + " " + h.ToString + ":" + m.ToString + ":" + s.ToString
        ElseIf nd < d Then '月が変わった
            If nm = 1 Then '年が変わった
                InttoTimes = (ny - 1).ToString + "/" + "12" + "/" + d.ToString + " " + h.ToString + ":" + m.ToString + ":" + s.ToString
            Else
                InttoTimes = ny.ToString + "/" + (nm - 1).ToString + "/" + d.ToString + " " + h.ToString + ":" + m.ToString + ":" + s.ToString
            End If
        Else
            InttoTimes = ny.ToString + "/" + nm.ToString + "/" + nd.ToString + " " + h.ToString + ":" + m.ToString + ":" + s.ToString
        End If
    End Function

    '--------------------------------------------------------------------------
    'ここから下はMDB操作関係
    'MDBファイル作成
    '--------------------------------------------------------------------------
    Public Function MDB_CRTDATABASE(ByVal filename As String) As Boolean

        MDB_CRTDATABASE = False
        If System.IO.File.Exists(filename) Then 'データベースが存在する
            MDB_CRTDATABASE = True
        Else 'データベースが無いので作成する
            Dim objCat As ADOX.Catalog    'カタログ
            Dim strDatbasePara As String    'データベースパラメータ
            Dim strTable As String          'テーブル名称
            Dim objTable As ADOX.Table      'テーブル

            strDatbasePara = "Provider=Microsoft.Jet.OLEDB.4.0;" + _
                            "Data Source=" + filename + ";" + _
                            "Jet OLEDB:Engine Type=5;"
            Try

                'ADOXオブジェクトを作成します
                objCat = New ADOX.Catalog

                'MDB作成
                objCat.Create(strDatbasePara)

                '初期テーブルを作成します
                ' テーブル名を指定してテーブルを追加する
                strTable = "LogDataTable"
                objTable = New ADOX.Table

                With objTable
                    .Name = strTable
                    'Dim col As New ADOX.Column
                    'col.Name = "Key"
                    'col.Type = ADOX.DataTypeEnum.adInteger
                    'col.ParentCatalog = objCat
                    'col.Properties("Autoincrement").Value = True
                    '.Columns.Append(col)
                    '使用不可な型　adBigInt, adBSTR, adChar, adUnsignedInt, adTinyInt, adDBTimeStamp, adDBTime, adVarChar
                    '使用可　adDouble, adSingle, adSmallInt, adInteger, adDate, adVarWChar, adWChar

                    .Columns.Append("label", ADOX.DataTypeEnum.adWChar, 1)
                    .Columns.Append("lan", ADOX.DataTypeEnum.adWChar, 1)
                    .Columns.Append("tcp_udp", ADOX.DataTypeEnum.adWChar, 1)
                    .Columns.Append("in_out", ADOX.DataTypeEnum.adWChar, 1)
                    '.Columns.Append("date_time", ADOX.DataTypeEnum.adDate)
                    .Columns.Append("date_time", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("in_ip", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("in_port", ADOX.DataTypeEnum.adSmallInt)
                    .Columns.Append("out_ip", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("out_port", ADOX.DataTypeEnum.adSmallInt)
                    '.Columns("tcp_udp").Attributes = ADOX.ColumnAttributesEnum.adColNullable
                    .Indexes.Append("date_time", "date_time") 'フィールド"date_time"にインデックスを作成する
                End With

                objCat.Tables.Append(objTable)

                MDB_CRTDATABASE = True

            Catch ex As Exception
                ErrorSave(1, "MDB_CRTDATABASE: " + ex.ToString)
                MsgBox(ex.ToString)
            End Try

            objCat = Nothing
        End If


    End Function

    Public Function MDB_CRTDATABASE2(ByVal filename As String) As Boolean

        MDB_CRTDATABASE2 = False

        'DNS Query用データベース
        If System.IO.File.Exists(filename) Then 'データベースが存在する
            MDB_CRTDATABASE2 = True
        Else 'データベースが無いので作成する
            Dim objCat As ADOX.Catalog    'カタログ
            Dim strDatbasePara As String    'データベースパラメータ
            Dim strTable As String          'テーブル名称
            Dim objTable As ADOX.Table      'テーブル

            strDatbasePara = "Provider=Microsoft.Jet.OLEDB.4.0;" + _
                            "Data Source=" + filename + ";" + _
                            "Jet OLEDB:Engine Type=5;"
            Try

                'ADOXオブジェクトを作成します
                objCat = New ADOX.Catalog

                'MDB作成
                objCat.Create(strDatbasePara)

                '初期テーブルを作成します
                ' テーブル名を指定してテーブルを追加する
                strTable = "DNSQueryTable"
                objTable = New ADOX.Table

                With objTable
                    .Name = strTable
                    .Columns.Append("host_name", ADOX.DataTypeEnum.adVarWChar)
                    .Columns.Append("date_time", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("in_ip", ADOX.DataTypeEnum.adInteger)
                End With

                objCat.Tables.Append(objTable)

                MDB_CRTDATABASE2 = True

            Catch ex As Exception
                ErrorSave(1, "MDB_CRTDATABASE: " + ex.ToString)
                MsgBox(ex.ToString)
            End Try

            objCat = Nothing
        End If

    End Function

    Public Function MDB_CRTDATABASE3(ByVal filename As String) As Boolean

        MDB_CRTDATABASE3 = False

        'DNS Query用データベース
        If System.IO.File.Exists(filename) Then 'データベースが存在する
            MDB_CRTDATABASE3 = True
        Else 'データベースが無いので作成する
            Dim objCat As ADOX.Catalog    'カタログ
            Dim strDatbasePara As String    'データベースパラメータ
            Dim strTable As String          'テーブル名称
            Dim objTable As ADOX.Table      'テーブル

            strDatbasePara = "Provider=Microsoft.Jet.OLEDB.4.0;" + _
                            "Data Source=" + filename + ";" + _
                            "Jet OLEDB:Engine Type=5;"
            Try

                'ADOXオブジェクトを作成します
                objCat = New ADOX.Catalog

                'MDB作成
                objCat.Create(strDatbasePara)

                '初期テーブルを作成します
                ' テーブル名を指定してテーブルを追加する
                strTable = "HostDt"
                objTable = New ADOX.Table

                With objTable
                    .Name = strTable
                    .Columns.Append("ipval", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("host_name", ADOX.DataTypeEnum.adVarWChar)
                    .Columns.Append("mac_address", ADOX.DataTypeEnum.adVarWChar)
                    .Columns.Append("cleate_time", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("delete_time", ADOX.DataTypeEnum.adInteger)
                End With

                objCat.Tables.Append(objTable)

                strTable = "IpMacDhcpDt"
                objTable = New ADOX.Table

                With objTable
                    .Name = strTable
                    .Columns.Append("ipval", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("mac_address", ADOX.DataTypeEnum.adVarWChar)
                    .Columns.Append("cleate_time", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("delete_time", ADOX.DataTypeEnum.adInteger)
                End With

                objCat.Tables.Append(objTable)

                strTable = "DnsHostDt"
                objTable = New ADOX.Table

                With objTable
                    .Name = strTable
                    .Columns.Append("ipval", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("host_name", ADOX.DataTypeEnum.adVarWChar)
                    .Columns.Append("cleate_time", ADOX.DataTypeEnum.adInteger)
                    .Columns.Append("delete_time", ADOX.DataTypeEnum.adInteger)
                End With

                objCat.Tables.Append(objTable)

                MDB_CRTDATABASE3 = True

            Catch ex As Exception
                ErrorSave(1, "MDB_CRTDATABASE: " + ex.ToString)
                MsgBox(ex.ToString)
            End Try

            objCat = Nothing
        End If

    End Function

    Public Function MdbExecuteNonQuery(ByVal FileName As String, ByVal Str As String) As Boolean
        Dim oConn As New OleDbConnection()
        Dim oCommand As New OleDbCommand()

        Try
            oConn = New OleDbConnection()
            'DB接続文字列の設定
            oConn.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + _
            FileName

            'コネクションの設定
            oCommand.Connection = oConn

            'ＤＢ接続を開く
            oConn.Open()

            'SQL文の設定
            oCommand.CommandText = Str

            oCommand.ExecuteNonQuery()
            '正常リターン
            MdbExecuteNonQuery = True

        Catch oExcept As Exception
            '例外が発生した時の処理
            MsgBox(oExcept.ToString)
            ErrorSave(1, "MdbExecuteNonQuery(" + Str + "): " + oExcept.ToString)
            MdbExecuteNonQuery = False

        Finally
            'ＤＢ接続を閉じる
            If Not oConn Is Nothing Then
                oConn.Close()
            End If

        End Try




    End Function

    Public Function MdbDataAdapterFill(ByVal FileName As String, ByVal Str As String, ByVal Dt As DataTable) As Boolean
        Dim ConString As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + _
        FileName
        MdbDataAdapterFill = True
        Try
            Using da As New OleDbDataAdapter(Str, ConString)
                da.Fill(Dt)
            End Using

        Catch ex As Exception
            MdbDataAdapterFill = False
            MsgBox(ex.ToString, , "エラー")
            ErrorSave(1, "MdbDataAdapterFill(" + Str + "): " + ex.ToString)
        End Try

    End Function
End Module
