﻿Public Class SettingForm

    Private Sub SettingForm_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        'ログ集計
        TextBox1.Text = LogDirectory 'ログ保存ディレクトリ
        TextBox18.Text = MdbDirectory 'MDBファイル保存ディレクトリ
        ComboBox1.Items.Clear()
        ComboBox1.Items.Add("1")
        ComboBox1.Items.Add("2")
        ComboBox1.Items.Add("3")
        ComboBox1.Items.Add("4")
        ComboBox1.Items.Add("5")
        ComboBox1.Items.Add("6")
        ComboBox1.Items.Add("10")
        ComboBox1.Items.Add("15")
        ComboBox1.Items.Add("20")
        ComboBox1.Text = AggregateShort '集計間隔短時間(分)
        ComboBox2.Items.Clear()
        ComboBox2.Items.Add("20")
        ComboBox2.Items.Add("30")
        ComboBox2.Items.Add("60")
        ComboBox2.Text = AggregateLong '集計間隔長時間(分)
        ComboBox3.Items.Clear()
        ComboBox3.Items.Add("NVR500")
        ComboBox3.Items.Add("DD-WRT")
        ComboBox4.Items.Clear()
        ComboBox4.Items.Add("HTMLファイルを作成しない")
        ComboBox4.Items.Add("簡易HTMLファイルを作成")
        ComboBox4.Items.Add("詳細・簡易HTMLファイルを作成")
        If RouterType = 1 Then 'ルーターの種類　0:YAMAHA NVR500  1:DD-WRT
            ComboBox3.Text = "DD-WRT"
        Else
            ComboBox3.Text = "NVR500"
        End If
        CheckBox5.Checked = SaveAllLog '全ログを保存するフラグ
        CheckBox6.Checked = PacketCaptureEnable 'パケットキャプチャーログもMDBに保存するフラグ
        CheckBox7.Checked = DebugFlg 'デバグフラグ
        CheckBox10.Checked = DispLogFlg 'ログを表示するフラグ
        TextBox11.Text = UdpPort 'UDPポート 普通は514
        TextBox12.Text = RouterIp 'ルーターのIP
        TextBox14.Text = LogDeleteDay 'ログ消去日数
        TextBox17.Text = LogPsMax 'ロググラフMAX
        'ホスト名/MACアドレス検索
        TextBox4.Text = PrvSearchInterval 'プライベートアドレス検索間隔(分)
        TextBox5.Text = GlbSearchInterval 'グローバルアドレス検索間隔(分)
        TextBox6.Text = PrvDeleteInterval 'プライベートアドレス削除間隔(分)
        TextBox7.Text = GlbDeleteInterval 'グローバルアドレス削除間隔(分)
        TextBox8.Text = MacTableDeleteInterval 'DHCP-MacAddressテーブルの削除間隔(時間)
        TextBox15.Text = DnsHostTableDeleteInterval 'DNS-HostName削除間隔(分)
        CheckBox8.Checked = MyIpOmitFlg  '自分のIPを検索時に除外するフラグ
        TextBox16.Text = MyIpString '自分のIP
        'HTMLファイル
        TextBox2.Text = HtmlDirectory 'HTML保存ディレクトリ
        TextBox3.Text = ExceptionIpString 'HTML除外IP
        If MakeHtmlFlg = 1 Then
            ComboBox4.Text = "簡易HTMLファイルを作成"
        ElseIf MakeHtmlFlg = 2 Then
            ComboBox4.Text = "詳細・簡易HTMLファイルを作成"
        Else
            ComboBox4.Text = "HTMLファイルを作成しない"
        End If
        CheckBox2.Checked = HtmlIpFlg 'HTMLファイル簡易表示に IP を表示するフラグ
        CheckBox3.Checked = HtmlNameFlg 'HTMLファイル簡易表示に host name を表示するフラグ
        CheckBox4.Checked = HtmlMacFlg 'HTMLファイル簡易表示に mac address を表示するフラグ
        TextBox9.Text = Html1 '簡易HTML上部
        TextBox10.Text = Html2 '簡易HTML下部
        '
        TextBox13.Text = FontSize '文字サイズ
        CheckBox9.Checked = ErrorLogSaveFlg 'エラーログを保存するフラグ
    End Sub
    'ログディレクトリボタン
    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        If FolderBrowserDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            TextBox1.Text = FolderBrowserDialog1.SelectedPath
        End If
    End Sub
    'MDBディレクトリボタン
    Private Sub Button5_Click(sender As System.Object, e As System.EventArgs) Handles Button5.Click
        If FolderBrowserDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            TextBox18.Text = FolderBrowserDialog1.SelectedPath
        End If
    End Sub
    'HTMLディレクトリボタン
    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        If FolderBrowserDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            TextBox2.Text = FolderBrowserDialog1.SelectedPath
        End If
    End Sub
    'キャンセル
    Private Sub Button4_Click(sender As System.Object, e As System.EventArgs) Handles Button4.Click
        Me.Close()
    End Sub
    '設定保存ボタン
    Private Sub Button3_Click(sender As System.Object, e As System.EventArgs) Handles Button3.Click
        Dim savestring As String = Me.ProductName + vbCrLf
        'ログ集計
        LogDirectory = TextBox1.Text   'ログ保存ディレクトリ
        MdbDirectory = TextBox18.Text   'MDB保存ディレクトリ
        '
        Dim A1() As String = {"1", "2", "3", "4", "5", "6", "10", "15", "20"}
        If Array.IndexOf(A1, ComboBox1.Text) < 0 Then
            MsgBox("集計間隔短時間(分)は指定の値から選んでください")
            Exit Sub
        End If
        AggregateShort = ComboBox1.Text '集計間隔短時間(分)
        '
        Dim A2() As String = {"20", "30", "60"}
        If Array.IndexOf(A2, ComboBox2.Text) < 0 Then
            MsgBox("集計間隔長時間(分)は指定の値から選んでください")
            Exit Sub
        End If
        AggregateLong = ComboBox2.Text   '集計間隔長時間(分)
        '
        Dim A3() As String = {"NVR500", "DD-WRT"}
        If Array.IndexOf(A3, ComboBox3.Text) < 0 Then
            MsgBox("ルーターの種類は指定の値から選んでください")
            Exit Sub
        End If
        RouterType = Array.IndexOf(A3, ComboBox3.Text) 'ルーターの種類　0:YAMAHA NVR500  1:DD-WRT
        Try
            Dim i As Integer = CInt(TextBox11.Text)
        Catch ex As Exception
            MsgBox("UDPポートが不正です/通常514です")
            Exit Sub
        End Try
        'ルーターのIP
        Dim r3 As New System.Text.RegularExpressions.Regex( _
            "[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}", _
            System.Text.RegularExpressions.RegexOptions.IgnoreCase)
        Dim mi As System.Text.RegularExpressions.Match = r3.Match(TextBox12.Text) 'IP
        If mi.Success = False Then
            MsgBox("ルーターIPが不正です")
            Exit Sub
        End If
        '
        SaveAllLog = CheckBox5.Checked  '全ログを保存するフラグ
        PacketCaptureEnable = CheckBox6.Checked   'パケットキャプチャーログもMDBに保存するフラグ
        DispLogFlg = CheckBox10.Checked  'ログを表示するフラグ
        UdpPort = TextBox11.Text  'UDPポート 普通は514
        RouterIp = TextBox12.Text  'ルーターのIP
        'ログ消去日数
        Try
            If CInt(TextBox14.Text) < 0 Then
                MsgBox("ログ消去日数が不正です")
                Exit Sub
            Else
                LogDeleteDay = CInt(TextBox14.Text)
            End If
        Catch ex As Exception
            MsgBox("ログ消去日数が不正です")
            Exit Sub
        End Try
        'ロググラフMAX
        Try
            If CInt(TextBox17.Text) < 0 Then
                MsgBox("ロググラフMAXが不正です")
                Exit Sub
            Else
                LogPsMax = CInt(TextBox17.Text)
            End If
        Catch ex As Exception
            MsgBox("ロググラフMAXが不正です")
            Exit Sub
        End Try

        savestring = savestring + LogDirectory + vbCrLf 'ログ保存ディレクトリ
        savestring = savestring + MdbDirectory + vbCrLf 'MDB保存ディレクトリ
        savestring = savestring + AggregateShort.ToString + vbCrLf '集計間隔短時間(分)
        savestring = savestring + AggregateLong.ToString + vbCrLf '集計間隔長時間(分)
        savestring = savestring + RouterType.ToString + vbCrLf ''ルーターの種類
        savestring = savestring + SaveAllLog.ToString + vbCrLf '全ログを保存するフラグ
        savestring = savestring + PacketCaptureEnable.ToString + vbCrLf 'パケットキャプチャーログもMDBに保存するフラグ
        savestring = savestring + UdpPort + vbCrLf 'UDPポート 普通は514
        savestring = savestring + RouterIp + vbCrLf 'ルーターのIP
        savestring = savestring + LogDeleteDay.ToString + vbCrLf 'ログ消去日数
        savestring = savestring + DispLogFlg.ToString + vbCrLf 'ログ表示するフラグ
        savestring = savestring + LogPsMax.ToString + vbCrLf 'ロググラフMAX
        'ホスト名/MACアドレス検索
        Dim b As String
        b = MinCheck(TextBox4.Text, "プライベートアドレス検索間隔(分)")
        If b = -1 Then
            Exit Sub
        Else
            PrvSearchInterval = b
        End If
        b = MinCheck(TextBox5.Text, "グローバルアドレス検索間隔(分)")
        If b = -1 Then
            Exit Sub
        Else
            GlbSearchInterval = b
        End If
        b = MinCheck(TextBox6.Text, "プライベートアドレス削除間隔(分)")
        If b = -1 Then
            Exit Sub
        Else
            PrvDeleteInterval = b
        End If
        b = MinCheck(TextBox7.Text, "グローバルアドレス削除間隔(分)")
        If b = -1 Then
            Exit Sub
        Else
            GlbDeleteInterval = b
        End If
        b = MinCheck(TextBox8.Text, "DHCP-MacAddressテーブルの削除間隔(時間)")
        If b = -1 Then
            Exit Sub
        Else
            MacTableDeleteInterval = b
        End If
        b = MinCheck(TextBox15.Text, "DNS-HostName削除間隔(分)")
        If b = -1 Then
            Exit Sub
        Else
            DnsHostTableDeleteInterval = b
        End If
        MyIpOmitFlg = CheckBox8.Checked '自分のIPを除外フラグ

        '自分のIP ""はパス　何か書いてあるならIPとしてチェック
        Dim mj As System.Text.RegularExpressions.Match = r3.Match(TextBox16.Text) 'IP
        If TextBox16.Text <> "" And mj.Success = False Then
            MsgBox("自分のIPが不正です")
            Exit Sub
        Else
            MyIpString = TextBox16.Text
        End If
        savestring = savestring + PrvSearchInterval.ToString + vbCrLf 'プライベートアドレス検索間隔(分)
        savestring = savestring + GlbSearchInterval.ToString + vbCrLf 'グローバルアドレス検索間隔(分)
        savestring = savestring + PrvDeleteInterval.ToString + vbCrLf 'プライベートアドレス削除間隔(分)
        savestring = savestring + GlbDeleteInterval.ToString + vbCrLf 'グローバルアドレス削除間隔(分)
        savestring = savestring + MacTableDeleteInterval.ToString + vbCrLf 'DHCP-MacAddressテーブルの削除間隔(時間)
        savestring = savestring + DnsHostTableDeleteInterval.ToString + vbCrLf 'DNS-HostName削除間隔(分)
        savestring = savestring + MyIpOmitFlg.ToString + vbCrLf '自分のIPを除外フラグ
        savestring = savestring + MyIpString.ToString + vbCrLf '自分のIP
        'HTMLファイル
        HtmlDirectory = TextBox2.Text  'HTML保存ディレクトリ
        ExceptionIpString = TextBox3.Text  'HTML除外IP
        'MakeHtmlFlg = CheckBox1.Checked   'HTMLファイルを作成するするフラグ
        If ComboBox4.Text = "簡易HTMLファイルを作成" Then
            MakeHtmlFlg = 1
        ElseIf ComboBox4.Text = "詳細・簡易HTMLファイルを作成" Then
            MakeHtmlFlg = 2
        Else
            MakeHtmlFlg = 0
        End If
        HtmlIpFlg = CheckBox2.Checked   'HTMLファイル簡易表示に IP を表示するフラグ
        HtmlNameFlg = CheckBox3.Checked   'HTMLファイル簡易表示に host name を表示するフラグ
        HtmlMacFlg = CheckBox4.Checked   'HTMLファイル簡易表示に mac address を表示するフラグ
        Html1 = TextBox9.Text  '簡易HTML上部
        Html2 = TextBox10.Text  '簡易HTML下部
        savestring = savestring + HtmlDirectory + vbCrLf 'HTML保存ディレクトリ
        savestring = savestring + ExceptionIpString + vbCrLf 'HTML除外IP
        savestring = savestring + MakeHtmlFlg.ToString + vbCrLf 'HTMLファイルを作成するするフラグ
        savestring = savestring + HtmlIpFlg.ToString + vbCrLf 'HTMLファイル簡易表示に IP を表示するフラグ
        savestring = savestring + HtmlNameFlg.ToString + vbCrLf 'HTMLファイル簡易表示に host name を表示するフラグ
        savestring = savestring + HtmlMacFlg.ToString + vbCrLf 'HTMLファイル簡易表示に mac address を表示するフラグ
        savestring = savestring + Html1.Replace(vbCrLf, vbTab) + vbCrLf '簡易HTML上部
        savestring = savestring + Html2.Replace(vbCrLf, vbTab) + vbCrLf '簡易HTML下部
        '文字サイズ
        b = MinCheck(TextBox13.Text, "文字サイズ")
        If b = -1 Then
            Exit Sub
        Else
            FontSize = b
        End If
        savestring = savestring + FontSize.ToString + vbCrLf '文字サイズ
        ErrorLogSaveFlg = CheckBox9.Checked  'エラーログ保存
        savestring = savestring + ErrorLogSaveFlg.ToString + vbCrLf 'エラーログ保存フラグ
        DebugFlg = CheckBox7.Checked  'デバグフラグ
        savestring = savestring + DebugFlg.ToString + vbCrLf 'デバグフラグ
        LoadStartFlg = CheckBox1.Checked
        savestring = savestring + LoadStartFlg.ToString + vbCrLf '起動時スタートフラグ

        If DebugFlg Then MsgBox(savestring)

        If System.IO.Directory.Exists(SettingIniPathName) = False Then 'iniファイルのディレクトリが無ければ作成
            System.IO.Directory.CreateDirectory(SettingIniPathName)
        End If
        Dim curpath As String
        curpath = SettingIniPathName + "\" + Me.ProductName + ".ini"
        Try
            System.IO.File.WriteAllText(curpath, savestring)
            MsgBox(curpath + "に保存しました")
        Catch ex As Exception
            MsgBox(curpath + "に保存できませんでした")
        End Try
        Me.Close()
    End Sub

    Private Function MinCheck(ByVal s As String, ByVal s2 As String) As String
        Dim err As Boolean = False
        Dim rt As String = "-1"
        If IsNumeric(s) Then
            rt = StrConv(s, Microsoft.VisualBasic.VbStrConv.Narrow, &H411)
            Try
                Dim d As Double = Double.Parse(s)
                If d > 0 Then
                    rt = Double.Parse(rt).ToString
                Else
                    err = True
                End If
            Catch ex As Exception
                err = True
            End Try
        Else
            err = True
        End If
        If err Then
            Return -1
            MsgBox(s2 + "の値が不正です")
        Else
            Return rt
        End If
    End Function

End Class